LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-07-2009, 08:01 PM   #1
asilentmurmur
Member
 
Registered: Mar 2005
Location: Washington DC area
Posts: 212

Rep: Reputation: 30
Having trouble installing madwifi 0.9.4 on Slack 12.2


Hey Everyone

I recently installed Slackware 12.2 on my toshiba satellite A35-S159 laptop today. I attempted to install madwifi 0.9.4, but was faced with some errors when I ran the "make" command. I am not going to past the entire make command output, but i will paste just the error section:

/home/majid/Downloads/madwifi-0.9.4/net80211/ieee80211_power.c: In function 'ieee80211_pwrsave':
/home/majid/Downloads/madwifi-0.9.4/net80211/ieee80211_power.c:240: error: implicit declaration of function '__skb_append'
make[3]: *** [/home/majid/Downloads/madwifi-0.9.4/net80211/ieee80211_power.o] Error 1
make[2]: *** [/home/majid/Downloads/madwifi-0.9.4/net80211] Error 2
make[1]: *** [_module_/home/majid/Downloads/madwifi-0.9.4] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.27.7'
make: *** [modules] Error 2



then when i attempted to run "make install"

this is what came up:

root@majidcomp:/home/majid/Downloads/madwifi-0.9.4# make install
sh scripts/find-madwifi-modules.sh 2.6.27.7-smp
for i in ath/ ath_hal/ ath_rate/ net80211/; do \
make -C $i install || exit 1; \
done
make[1]: Entering directory `/home/majid/Downloads/madwifi-0.9.4/ath'
test -d //lib/modules/2.6.27.7-smp/net || mkdir -p //lib/modules/2.6.27.7-smp/net
install ath_pci.ko //lib/modules/2.6.27.7-smp/net
install: cannot stat `ath_pci.ko': No such file or directory
make[1]: *** [install] Error 1
make[1]: Leaving directory `/home/majid/Downloads/madwifi-0.9.4/ath'
make: *** [install-modules] Error 1

any ideas as to how I should go about correcting these issues so my wireless driver will work?


I appreciate all the help I can get!
 
Old 08-08-2009, 06:36 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016 CentOS6.9 CentOS7.3 + 50+ other Linux OS, for test only.
Posts: 16,549

Rep: Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241
Please use the available 'Slackbuild's to make the 0.9.4 package(s).

http://slackbuilds.org/result/?search=madwifi&sv=12.2
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Trouble installing madwifi-0.9.4 on fedora 8 lampi Linux - General 4 03-02-2008 12:54 AM
Madwifi-old + Aircrack/Trouble compiling madwifi Ashex Linux - Software 7 04-05-2006 11:39 PM
Madwifi-old + Aircrack/Trouble compiling madwifi Ashex Linux - Software 0 03-05-2006 06:55 PM
Trouble installing netgear WAG511 with madwifi ghlu Linux - Wireless Networking 3 11-08-2004 05:36 PM


All times are GMT -5. The time now is 07:18 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration